Cannot load F-secure to my laptap - windows vista home basic

Options

Hi I am a Virgin media customer and am trying to put F-secure onto my laptap. F-secure is replacing Virgin media security. At installation I get as far as the License terms screen and click on accept license terms and conditions when a window pops up which says incompatible windows version.

 

My system is Windows Vista Home Basic

Processor - Intel Pentium Dual CPU T3400 2.16 GHz 2.17 GHz

Memory - 2GB

System - 32 bit operating system.

 

Has anyone got any idea what the problem is? I got in touch with Virgin media but all they want from me is more money when I have F-secure free for the next year!

 

Thanks

Comments

This discussion has been closed.
Pricing & Product Info